API Explorer 896 endpoints

Create new co_benefits

POST /obp/dynamic-entity/banks/ogcr/co_benefits

OBPv4.0.0-dynamicEntity_createco_benefits_ogcr Roles: CanCreateDynamicEntityRecord_co_benefits(per bank) _Co_benefits(ogcr)Dynamic-EntityDynamic

Create new co_benefits.

Parsed entity co_benefits. This Dynamic Entity is part of OGCR.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"co_benefits"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "co_benefit_id": "string",
  "co_benefit_name": "string"
}
Example success response
{
  "bank_id": "ogcr",
  "co_benefits": {
    "co_benefits_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "co_benefit_id": "string",
    "co_benefit_name": "string"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createco_benefits_ogcr Originally /banks/ogcr/co_benefits